This repository has been archived by the owner. It is now read-only.
CoffeeScript CSS
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
lib
styles
.editorconfig
.gitignore
CHANGELOG.md
LICENSE
LICENSE-atom-autocomplete-php
README.md
package.json

README.md

php-integrator/atom-autocompletion

Legacy

Autocompletion is included in the base package since version 3.2.0. This package has become redundant as a result. It will likely cease to stop working in the future as new versions of the base package are released.

About

This package provides autocompletion for your PHP source code using PHP Integrator as well as Atom's autocomplete-plus.

Note that the php-integrator-base package is required and needs to be set up correctly for this package to function correctly.

What is included?

  • Autocompletion for local variable names.
  • Autocompletion for global functions and constants.
  • Autocompletion (snippets) for tag names in docblocks.
  • Autocompletion for class, interface and trait members.
  • Autocompletion for class, interface and trait names as well as their constructors.
  • Automatic adding of use statements when class names are autocompleted (with a somewhat intelligent positioning).
    • Included is a command to sort the current use statements.

GPLv3 Logo